Groovy 1.7.0

## groovy.xml
Class XmlUtil

    java.lang.Object
      groovy.xml.XmlUtil

    class XmlUtil
    extends Object

Used for pretty printing XML content.

Constructor Summary
`XmlUtil()`

Method Summary
`static String` | `serialize(Element element)` Return a pretty String version of the Element.
`static void` | `serialize(Element element, OutputStream os)` Write a pretty version of the Element to the OutputStream.
`static String` | `serialize(Writable writable)` Return a pretty String version of the XML content produced by the Writable.
`static void` | `serialize(Writable writable, OutputStream os)` Write a pretty version of the XML content produced by the Writable to the OutputStream.
`static String` | `serialize(String xmlString)` Return a pretty version of the XML content contained in the given String.
`static void` | `serialize(String xmlString, OutputStream os)` Write a pretty version of the given XML string to the OutputStream.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### XmlUtil

    XmlUtil()

Method Detail

### serialize

    public static String serialize(Element element)

  Return a pretty String version of the Element.
  param:
    element the element to serialize
  return:
    the pretty String representation of the element

### serialize

    public static void serialize(Element element, OutputStream os)

  Write a pretty version of the Element to the OutputStream.
  param:
    element the element to serialize
  param:
    os the outputstream to write to

### serialize

    public static String serialize(Writable writable)

  Return a pretty String version of the XML content produced by the Writable.
  param:
    writable the writable to serialize
  return:
    the pretty String representation of the element

### serialize

    public static void serialize(Writable writable, OutputStream os)

  Write a pretty version of the XML content produced by the Writable to the OutputStream.
  param:
    writable the writable to serialize
  param:
    os the outputstream to write to

### serialize

    public static String serialize(String xmlString)

  Return a pretty version of the XML content contained in the given String.
  param:
    xmlString the string to serialize
  return:
    the pretty String representation of the element

### serialize

    public static void serialize(String xmlString, OutputStream os)

  Write a pretty version of the given XML string to the OutputStream.
  param:
    xmlString the string to serialize
  param:
    os the outputstream to write to

Copyright © 2003-2009 The Codehaus. All rights reserved.